Bug 478368 - Review Request: linsmith - a Smith Charting program
Review Request: linsmith - a Smith Charting program
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-28 20:22 EST by Chitlesh GOORAH
Modified: 2009-01-07 16:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 16:49:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2008-12-28 20:22:13 EST
Spec URL: http://chitlesh.fedorapeople.org/RPMS/linsmith.spec
SRPM URL: http://chitlesh.fedorapeople.org/RPMS/linsmith-0.99.11-1.fc10.src.rpm
Description:
linSmith is a Smith Charting program.
Comment 1 Chitlesh GOORAH 2008-12-28 20:37:03 EST
Scratch build
https://koji.fedoraproject.org/koji/taskinfo?taskID=1024118
Comment 2 Parag AN(पराग) 2008-12-29 00:41:00 EST
33256af1c310309da6f03f2a2fe8a869  linsmith-0.99.11.tar.gz
http://koji.fedoraproject.org/koji/taskinfo?taskID=1024295

1) 'desktop-file-install --vendor="fedora" \' is obsolete for new packages.
   Check https://fedoraproject.org/wiki/TomCallaway/DesktopFileVendor

2) install command should be
%{__make} install DESTDIR=%{buildroot} INSTALL="install -p"

3)gtk-update-icon-cache  scriptlet not needed as no icons installed in  %{_datadir}/icons/hicolor

4) Also, I see its not needed to have update-desktop-database scriptlet. from https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#desktop-database ==>
Use this when a desktop entry has a 'MimeType key.
Comment 3 Parag AN(पराग) 2008-12-29 00:54:00 EST
Add some more description also in %description
Comment 5 Parag AN(पराग) 2008-12-31 01:02:58 EST
Review:
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1027261
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
33256af1c310309da6f03f2a2fe8a869  linsmith-0.99.11.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Desktop files installed correctly.
+ GUI app.

APPROVED.
Comment 6 Chitlesh GOORAH 2009-01-01 15:00:09 EST
New Package CVS Request
=======================
Package Name: linsmith
Short Description: a Smith Charting program
Branches: F-9 F-10 EL-5
Owner: chitlesh
Comment 7 Kevin Fenzi 2009-01-04 15:32:58 EST
cvs done.
Comment 8 Fedora Update System 2009-01-06 18:00:38 EST
linsmith-0.99.11-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/linsmith-0.99.11-2.fc9
Comment 9 Fedora Update System 2009-01-06 18:00:41 EST
linsmith-0.99.11-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/linsmith-0.99.11-2.fc10
Comment 10 Fedora Update System 2009-01-07 16:49:42 EST
linsmith-0.99.11-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-01-07 16:53:01 EST
linsmith-0.99.11-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.